#ifndef DISPLAY_H
#define DISPLAY_H

#include "Adafruit_NeoPixel.h"

class Color {
  public:
    Color();
    Color(int redInit, int greenInit, int blueInit, int whiteInit);
    int red;
    int green;
    int blue;
    int white;
};

class ColorTheme {
  public:
    ColorTheme();
    Color secondColor;
    Color minuteCenterColor;
    Color minuteSecondaryColor;
    Color minuteBackgroundColor;
    Color hourBackgroundColor;
    Color hourColor;
};

class DisplayProcessor {
  private: 
    int pinMLED = 23;
    int pinHLED = 24;
    int nPixM = 53;
    int nPixH = 36;
    int lightMode;
    bool dimmingMode;
    Adafruit_NeoPixel *minuteLEDs;
    Adafruit_NeoPixel *hourLEDs;
    int mapToBackDial(int);
  public:
    DisplayProcessor();
    ColorTheme theme;
    void toggleLightMode();
    void toggleDimmingMode();
    void updateFrontDial(int hour);
    void updateBackDial(int minute, int second);
    void buttonPressBlink();
};


#endif
